Subject: [bug#70923] [PATCH 00/13] Add (guix import utils) procedures.

From: Herman Rimm <[email-masked]>
Date: Mon, 13 May 2024 21:59:13 +0200

Hello,

All but one importers (cran) now use procedures from (guix import utils)
to create the package inputs and arguments fields.  I also made the
cargo build-system compatible with the new style of inputs.

[PATCH 02/13] and [PATCH 03/13] are based on commits from [bug#49531]
which were merged into the core-updates branch in January: [1] and [2]
respectively.  The series is based on the master branch because I do not
think emitting and parsing the new style of cargo inputs is a major
change.  I can prepare a patch series for core-updates based on [1] if
needed though.

For once I remove more lines of code than I add, yay!

Cheers,
Herman

[1]: 49a85411b2af0e324e3b70839acea2720e855b32
[2]: 71ef0d2216890c29cb77c7b3e2af4ce3b629d7b8

Herman Rimm (10):
  build-system: cargo: Accept unlabeled #:cargo-inputs.
  tests: elm: Adjust to new-style package inputs.
  import: utils: Add 'maybe-upstream-inputs' procedure.
  import: pypi: Use 'maybe-list-field' procedure.
  import: elpa: Use maybe-propagated-inputs procedure.
  import: hackage: Use 'maybe-list-field' procedure.
  import: cran: Use 'maybe-list-field' procedure.
  import: cpan: Use 'maybe-upstream-inputs' procedure.
  import: egg: Use maybe-*inputs procedures.
  import: hexpm: Use (guix import utils) 'maybe-inputs' procedure.

Sarah Morgensen (3):
  import: utils: Emit new-style package inputs.
  tests: go: Adjust to new-style package inputs.
  import: crate: Emit new-style package inputs.

 guix/build-system/cargo.scm |  12 +++-
 guix/import/cpan.scm        |  22 ++-----
 guix/import/cran.scm        |  35 +++++------
 guix/import/crate.scm       |  54 ++++++----------
 guix/import/egg.scm         |  38 +++---------
 guix/import/elpa.scm        |   9 +--
 guix/import/hackage.scm     |  38 ++++--------
 guix/import/hexpm.scm       |  20 ++----
 guix/import/pypi.scm        |  20 ++----
 guix/import/utils.scm       |  67 ++++++++++++--------
 tests/crate.scm             | 119 +++++++++++++++---------------------
 tests/elm.scm               |   4 +-
 tests/go.scm                |   2 +-
 tests/hackage.scm           |  13 ++--
 14 files changed, 182 insertions(+), 271 deletions(-)

base-commit: 2793a79117d244b9e8fd48a8c3477f33f425210a
-- 
2.41.0